# Uses of Class
java.security.Provider.Service

Packages that use Provider.Service
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of Provider.Service in java.security

Methods in java.security that return Provider.Service
Modifier and Type
Method
Description
`Provider.Service`
Provider.`getService(String type, String algorithm)`
Get the service describing this Provider's implementation of the specified type of this algorithm or alias.
Methods in java.security that return types with arguments of type Provider.Service
Modifier and Type
Method
Description
`Set<Provider.Service>`
Provider.`getServices()`
Get an unmodifiable Set of all services supported by this `Provider`.
Methods in java.security with parameters of type Provider.Service
Modifier and Type
Method
Description
`protected void`
Provider.`putService(Provider.Service s)`
Add a service.
`protected void`
Provider.`removeService(Provider.Service s)`
Remove a service previously added using `putService()`.